<%-include('forumpartials/_header.ejs');-%>
<br><br>
<div  id="titulo" class="container mt-5 text-center">
<h1 id="forumwelcome"  class="bg-dark pb-2 text-white" style="font-size: 60px"><strong>¡BIENVENIDO AL FORO!</strong></h1>

<div id="subtitulo" class="container mt-4 bg-dark">
  <strong style="font-size: 40px;" class="text-white"><i class="material-icons">keyboard_arrow_right</i> NOTICIAS MAS RECIENTES <i class="material-icons">keyboard_arrow_right</i> </strong>
</div>
</div>
<% if(error_msg.length>0){%>
  <%-include('alerts/warning.ejs');-%>
<%}%>
<section id="newest">
  <div class="container mt-5 justify-content-center">      
    <div class="row row-cols-xl-4 row-cols-lg-3 row-cols-sm-2 row-cols-md-2">
        <!--Begin card--> 
        <% if(recent){ %>
            <!--the for cicle must starts over the column-->
            <% for(var i = 0; i < recent.length; i++){ %>
        <div class="col mb-5  ">                    
           <div class="card mb-5 h-100  <%=recent[i].color%>" style="width: 16rem;">
               <img src="<%=recent[i].imagen%>" class="card-img-top" alt="...">
               <div class="card-body d-flex flex-column">
                 <h5 class="card-title text-center"><%=recent[i].titulo%></h5>
                 <p class="card-text text-justify"><%=recent[i].contenido%></p>
                  <br>
                  <a href="<%=recent[i].fuente%>" target="_blank"  style="margin-top: auto;" class="btn align-self-end <%=recent[i].btncolor%> btn-block">Leer nota</a>
               </div>
             </div>
    </div>
    <!--and the last div of the column must be inside the for to generate al possible cards-->
<%}%>   
</div>    
<% } else{ %>
<div class="container text-center">
<h1>No hay datos registrados</h1>
</div>
<% } %>
</div>
  </div>
</section> 

<section id="news">
  <div  id="titulo" class="container mt-5 text-center">
    <div id="subtitulo" class="container bg-dark">
      <strong style="font-size: 40px;" class="text-white"><i class="material-icons">keyboard_arrow_right</i> TODAS LAS NOTICIAS <i class="material-icons">keyboard_arrow_right</i> </strong>
    </div>
    <div class="container mt-5 justify-content-center">      
      <div class="row row-cols-xl-4 row-cols-lg-3 row-cols-sm-2 row-cols-md-2">
          <!--Begin card--> 
          <% if(data){ %>
              <!--the for cicle must starts over the column-->
              <% for(var i = 0; i < data.length; i++){ %>
          <div class="col mb-5  ">                    
             <div class="card mb-5 h-100  <%=data[i].color%>" style="width: 16rem;">
                 <img src="<%=data[i].imagen%>" class="card-img-top" alt="...">
                 <div class="card-body d-flex flex-column">
                   <h5 class="card-title text-center"><%=data[i].titulo%></h5>
                   <p class="card-text text-justify"><%=data[i].contenido%></p>
                    <br>
                    <a href="<%=data[i].fuente%>" target="_blank"  style="margin-top: auto;" class="btn align-self-end <%=data[i].btncolor%> btn-block">Leer nota</a>
                 </div>
               </div>
      </div>
      <!--and the last div of the column must be inside the for to generate al possible cards-->
  <%}%>   
  </div>    
  <% } else{ %>
  <div class="container text-center">
  <h1>No hay datos registrados</h1>
  </div>
  <% } %>
  </div>
    </div>
</section>
<script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/js/all.min.js" integrity="sha256-qM7QTJSlvtPSxVRjVWNM2OfTAz/3k5ovHOKmKXuYMO4=" crossorigin="anonymous"></script>

<%-include('forumpartials/_footer.ejs');-%>



